Type to search.

Reload the keystore on nodes in the cluster

  • POST /_nodes/{node_id}/reload_secure_settings
  • POST /_nodes/reload_secure_settings
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Secure settings are stored in an on-disk keystore. Certain of these settings are reloadable. That is, you can change them on disk and reload them without restarting any nodes in the cluster. When you have updated reloadable secure settings in your keystore, you can use this API to reload those settings on each node.

When the Elasticsearch keystore is password protected and not simply obfuscated, you must provide the password for the keystore when you reload the secure settings. Reloading the settings for the whole cluster assumes that the keystores for all nodes are protected with the same password; this method is allowed only when inter-node communications are encrypted. Alternatively, you can reload the secure settings on each node by locally accessing the API and passing the node-specific Elasticsearch keystore password.

Required privileges

Cluster privileges manage

Path parameters

node_id union string | string[] optional

The names of particular nodes in the cluster to target.

Leave it out to use /_nodes/reload_secure_settings.

Query parameters

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Request body

secure_settings_password string

The password for the Elasticsearch keystore.

Response

application/json
cluster_name string required
nodes map string to object required
<string> object
name string required
secure_setting_names string[]

The names of the secure settings that were reloaded.

keystore_path string

The path to the keystore file.

keystore_digest string

A SHA-256 hash of the keystore file contents.

keystore_last_modified_time union oneOf

The last modification time of the keystore file.

One of: string or number